1. Statements
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
        POST
      • Get statement overview
        GET
      • Get statement entries
        GET
      • Get statement transactions
        GET
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
  1. Statements

Get statement transactions

GET
/v2.0/payment/statements/{statementId}/transactions
Get statement transactions with pagination for transaction-level verification

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/payment/statements//transactions?participantCode=undefined&currency=undefined&offset=undefined&limit=undefined'

Responses

🟢200
application/json
Successfully retrieved
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "statementId": "c90a42b3eefc4d7d912ecf8673788394",
        "statementDetails": [
            {
                "participantCode": "",
                "currencyTransactions": [
                    {
                        "currency": "USD",
                        "transactions": [
                            {
                                "participantCode": "B0100348",
                                "transactionType": 4,
                                "transactionId": "TF2026061515190001",
                                "clientReference": "",
                                "originalTransactionId": "",
                                "originalClientReference": "",
                                "createdAt": 1781507959000,
                                "creditDebitIndicator": 2,
                                "grossSettlementAmount": "100",
                                "transactionFee": {
                                    "feeBearer": 2,
                                    "feeCurrency": "USD",
                                    "feeAmount": "0"
                                },
                                "netSettlementAmount": "100",
                                "conversionDetail": {
                                    "sourceCurrency": null,
                                    "sourceAmount": "0",
                                    "destinationCurrency": null,
                                    "destinationAmount": "0",
                                    "basePrice": "0",
                                    "finalPrice": "0",
                                    "markUp": "0",
                                    "quotationId": null
                                }
                            }
                        ]
                    }
                ]
            }
        ],
        "pagination": {
            "limit": 20,
            "offset": 0,
            "total": 1,
            "hasMore": false
        }
    }
}
Modified at 2026-07-21 08:45:03
Previous
Get statement entries
Next
Get Points Balance
Built with